> ## Documentation Index
> Fetch the complete documentation index at: https://docs.1px.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# delete url

> soft-delete a url. limited to 600 edit requests per hour.



## OpenAPI

````yaml /api-reference/openapi.json delete /url/{id}
openapi: 3.1.0
info:
  title: 1px API
  description: minimalistic tools for the web.
  version: 1.0.0
  contact:
    name: 1px
    url: https://1px.ch
servers:
  - url: https://api.1px.ch
    description: production
security:
  - bearerAuth: []
paths:
  /url/{id}:
    delete:
      summary: delete url
      description: soft-delete a url. limited to 600 edit requests per hour.
      operationId: deleteUrl
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: url deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
        '401':
          description: missing or invalid api key
        '404':
          description: url not found
        '429':
          description: rate limited
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: your 1px api key. get one from /dashboard/api

````